Re: m4-mative: "Please port gnulib fseeko.c to your platform!"


Robert P. J. Day
 

On Tue, 9 Apr 2019, Burton, Ross wrote:

On Tue, 9 Apr 2019 at 11:14, Robert P. J. Day <rpjday@crashcourse.ca> wrote:
so, to confirm what i thought, this is a bug in gnulib which
suggests i should dig through the build configuration to see where i
can, say, set a PREFERRED_VERSION of a newer version of gnulib that
no longer has tat bug? or, barring that, just add the appropriate
local patch on my end.
No, gnulib is a copy/paste library. The bug was fixed in gnulib, and
new releases of m4 are fixed, but you'll need to cherry-pick the fix
from oe-core master (we apply the patch to our m4 recipe) back to
whatever stable branch you're using.
ah, got it, thanks.

rday

Join yocto@lists.yoctoproject.org to automatically receive all group messages.